package com.energy.manage.service.filter;

import lombok.extern.slf4j.Slf4j;

@Slf4j
public class LoginUserContextHolder {

    private static final ThreadLocal<LoginUser> LOGIN_USER = new ThreadLocal<>();

    public static LoginUser get() {
        return LOGIN_USER.get();
    }

    public static void set(LoginUser loginUser) {
        LOGIN_USER.set(loginUser);
    }

}
